﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Documents.Reports.Graphics;
using Infragistics.Documents.Reports.Report;
using Infragistics.Documents.Reports.Report.Text;
using System.Data;




public partial class WDE_HelpTraining : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        DataTable MyDataSource = populateDataTable();
        WebDataGrid1.DataSource = MyDataSource;
        WebDataGrid1.DataBind();
    }


    protected DataTable populateDataTable()
    {
        DataTable dt = new DataTable();
        // setting the required DataType format here (Enshure that the DataSource DataType is correct)
        DataColumn column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "Number";

        dt.Columns.Add("Name");
        dt.Columns.Add(column);
        dt.Columns.Add("DecimalNumber");

        DataRow row;
        for (int i = 0; i < 100; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            row.SetField<Int32>("Number", 1 + i);
            row.SetField<decimal>("DecimalNumber", 1 + i);
            dt.Rows.Add(row);
        }
        return dt;
    }

    protected void btnExport_Click(object sender, EventArgs e)
    {
        this.WebDocumentExporter.Export(this.WebDataGrid1);

    }

    protected void WebDocumentExporter_CellExported(object sender, Infragistics.Web.UI.GridControls.DocumentCellExportedEventArgs e)
    {
        e.ReportCellElement.Background = new Background(new Color(System.Drawing.Color.SeaGreen));
        e.ReportCellElement.Height = new FixedHeight(12);

        //Infragistics.Documents.Reports.Report.Text.Style style1 = new Infragistics.Documents.Reports.Report.Text.Style(new Font("Arial", 12), Brushes.Cornsilk);
        //Infragistics.Documents.Reports.Report.Text.Style style2 = new Infragistics.Documents.Reports.Report.Text.Style(new Font("Verdana", 10), Brushes.DarkCyan);

        //TextPattern textPattern = new TextPattern();
        //textPattern.Margins = new Margins(5, 10);
        //textPattern.Paddings = new Paddings(5);
        //textPattern.Interval = 5;
        //textPattern.Borders = new Borders(new Pen(new Color(10, 20, 30)), 5);
        //textPattern.Background = new Background(Brushes.Coral);
        //textPattern.Style.Font = new Font("Arial", 4);
        //textPattern.Style = style2;
 
        //IText sectionText = section1.AddText();
        //sectionText.ApplyPattern(textPattern);

        //string string1 =  "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec imperdiet mattis sem. Nunc ornare elit at justo. In quam nulla, lobortis non, commodo eu, eleifend in, elit. Nulla eleifend. Nulla convallis. Sed eleifend auctor purus. Donec velit diam, congue quis, eleifend et, pretium id, tortor. Nulla semper condimentum justo. Etiam interdum odio ut ligula. Vivamus egestas scelerisque est. Donec accumsan. In est urna, vehicula non, nonummy sed, malesuada nec, purus.";

        //sectionText.AddContent("Heading 1", style1);
        //sectionText.AddLineBreak();
        //sectionText.AddContent(string1, style2);
        //sectionText.AddLineBreak();
        //sectionText.AddContent("Heading 2", style1);
        //sectionText.AddLineBreak();
        //sectionText.AddContent(string1, style2);
    }
}
